Get Site Capacity
import requests
url = "https://api.rebase.energy/platform/v2/sites/{site_id}/capacity"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.rebase.energy/platform/v2/sites/{site_id}/capacity \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.rebase.energy/platform/v2/sites/{site_id}/capacity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"site_name": "My site",
"site_id": "48302759-0371-4d54-9ba1-506708b576fe",
"unit": "kW"
},
"data": {
"valid_time": [
"2026-01-01T00:00:00Z",
"2026-01-01T01:00:00Z",
"2026-01-01T02:00:00Z",
"2026-01-01T03:00:00Z",
"2026-01-01T04:00:00Z",
"2026-01-01T05:00:00Z",
"2026-01-01T06:00:00Z",
"2026-01-01T07:00:00Z",
"2026-01-01T08:00:00Z",
"2026-01-01T09:00:00Z"
],
"value": [
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000,
6000
]
}
}{
"errors": [
{
"field": "<string>",
"message": "<string>"
}
]
}Site
Get Site Capacity
Get the capacity of a site for a given date range
GET
/
platform
/
v2
/
sites
/
{site_id}
/
capacity
Get Site Capacity
import requests
url = "https://api.rebase.energy/platform/v2/sites/{site_id}/capacity"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)Authorizations
Your API key. This is required to access our API programatically. You can view your API key in the Rebase dashboard.
Path Parameters
Query Parameters
Available options:
1h, 60min, 30min, 15min, 5min ⌘I